Remove throttling plugin from Jenkins
Closed, ResolvedPublic

Description

The Jenkins throttling plugin has bad interactions with Gearman since both hijack Jenkins build scheduler. We should get rid of it. Jobs left as of March 18th

apps-android-wikipedia-periodic-test done https://gerrit.wikimedia.org/r/#/c/344924/
labs-tools-ZppixBot-php55lint
mediawiki-core-php55lint
operations-mw-config-php55lint
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptFeb 20 2017, 6:49 PM

Change 338816 had a related patch set uploaded (by Hashar):
Stop throttling mwext-Wikibase jobs

https://gerrit.wikimedia.org/r/338816

Change 338816 merged by jenkins-bot:
Stop throttling mwext-Wikibase jobs

https://gerrit.wikimedia.org/r/338816

hashar updated the task description. (Show Details)

Change 344924 had a related patch set uploaded (by Hashar):
[integration/config@master] Clean out usage of Throttle Jenkins plugin

https://gerrit.wikimedia.org/r/344924

hashar updated the task description. (Show Details)Mar 27 2017, 9:51 AM

Change 344924 merged by jenkins-bot:
[integration/config@master] Clean out usage of Throttle Jenkins plugin

https://gerrit.wikimedia.org/r/344924

Change 344926 had a related patch set uploaded (by Hashar):
[integration/config@master] Stop throttling php55lint jobs

https://gerrit.wikimedia.org/r/344926

Change 344927 had a related patch set uploaded (by Hashar):
[integration/config@master] Remove throttling macro

https://gerrit.wikimedia.org/r/344927

Change 344926 merged by jenkins-bot:
[integration/config@master] Stop throttling php55lint jobs

https://gerrit.wikimedia.org/r/344926

Change 344927 merged by jenkins-bot:
[integration/config@master] Remove throttling macro

https://gerrit.wikimedia.org/r/344927

In JJB, there are no more jobs using the throttle plugin.

I have manually cleared out some left over jobs that were still on Jenkins but no more configured in JJB nor triggered by Zuul.

Mentioned in SAL (#wikimedia-operations) [2017-03-27T10:20:09Z] <hashar> Restarting Jenkins to drop the Throttle Concurrent Builds plugin - T158596

Mentioned in SAL (#wikimedia-releng) [2017-03-27T10:20:16Z] <hashar> Restarting Jenkins to drop the Throttle Concurrent Builds plugin - T158596

hashar closed this task as Resolved.Mar 27 2017, 10:23 AM
hashar claimed this task.